unit uContactosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uViewConfiguracionRegistryUtils,
  uEditorClientes, uEditorProveedores,
  uEditorVendedores, uEditorElegirCLientes,
  uEditorCliente, uEditorProveedor,
  uEditorVendedor, uEditorElegirProveedores, uEditorDireccion,
  uEditorElegirVendedores, uEditorGruposCliente, uEditorProcedenciasCliente,
  uEditorGruposProveedor, uEditorEtiquetasContactosReport,
  uViewConfiguracionContactos;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorClientes, 'EditorClientes');
  EditorRegistry.RegisterClass(TfEditorProveedores, 'EditorProveedores');
  EditorRegistry.RegisterClass(TfEditorVendedores, 'EditorVendedores');

  EditorRegistry.RegisterClass(TfEditorCliente, 'EditorCliente');
  EditorRegistry.RegisterClass(TfEditorProveedor, 'EditorProveedor');
  EditorRegistry.RegisterClass(TfEditorVendedor, 'EditorVendedor');

  EditorRegistry.RegisterClass(TfEditorElegirClientes, 'EditorElegirClientes');
  EditorRegistry.RegisterClass(TfEditorElegirProveedores, 'EditorElegirProveedores');
  EditorRegistry.RegisterClass(TfEditorElegirVendedores, 'EditorElegirVendedores');

  EditorRegistry.RegisterClass(TfEditorDireccion, 'EditorDireccion');

  EditorRegistry.RegisterClass(TfEditorGruposCliente, 'EditorGruposCliente');
  EditorRegistry.RegisterClass(TfEditorProcedenciasCliente, 'EditorProcedenciasCliente');
  EditorRegistry.RegisterClass(TfEditorGruposProveedor, 'EditorGruposProveedor');

  EditorRegistry.RegisterClass(TfEditorEtiquetasContactosPreview, 'EditorEtiquetasContactosPreview');

  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionContactos, 'Contactos');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorClientes);
  EditorRegistry.UnRegisterClass(TfEditorProveedores);
  EditorRegistry.UnRegisterClass(TfEditorVendedores);

  EditorRegistry.UnRegisterClass(TfEditorCliente);
  EditorRegistry.UnRegisterClass(TfEditorProveedor);
  EditorRegistry.UnRegisterClass(TfEditorVendedor);

  EditorRegistry.UnRegisterClass(TfEditorElegirClientes);
  EditorRegistry.UnRegisterClass(TfEditorElegirProveedores);
  EditorRegistry.UnRegisterClass(TfEditorElegirVendedores);

  EditorRegistry.UnRegisterClass(TfEditorDireccion);

  EditorRegistry.UnRegisterClass(TfEditorGruposCliente);
  EditorRegistry.UnRegisterClass(TfEditorProcedenciasCliente);
  EditorRegistry.UnRegisterClass(TfEditorGruposProveedor);

  EditorRegistry.UnRegisterClass(TfEditorEtiquetasContactosPreview);

  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionContactos);
end;

end.
